File menu commands

The File menu offers the following commands:

New | Creates a new document.
Open... | Opens an existing document.
Save | Saves an opened document using the same file name.
Save As... | Saves an opened document to a specified file name.
Export Image... | Exports an image of the document as a JPEG.
Scale Factor... | Opens the Scale Factor dialog box.
1, 2, 3, 4 | Open previously closed documents.
Exit | Exits ATTO Disk Benchmark.


(Untitled)

Help menu commands

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Open the help table of contents.
About ATTO Disk Benchmark... | Displays the version/copyright of this application.


ATTO Disk Benchmark Controls

ATTO Disk Benchmark offers the following test options and controls:

Bypass Write Cache | Bypass drive write cache.
Description | Enter the description of the test here.
Direct I/O | Use system buffering.
Drive | Specifies the test drive.
File Size | Specifies the test file length.
I/O Size | Specifies the range of I/O sizes.
Queue Depth | Specifies the number of concurrent I/Os sent to the test drive.
Run Continuously | Run the test continuously until errors are detected.
Start | Perform the test with the specified options.
Test Pattern | Specifies the test data pattern.
Verify Data | Write, read and verify data to detect errors.


Test Results Display

This area graphically displays the results of the benchmark test. The y-axis of the graph represents the I/O sizes in the selected range. The x-axis represents the transfer rates. Selecting Bytes/s or IO/s will alter the display of the results based on the selected unit. Rates for each I/O size are also displayed textually to the right of the graph.

In Bytes/s mode, rates are displayed in MB/s or GB/s as appropriate. Note that these rates are binary, or power of 2, based. E.g. 1 MB/s = 1,048,576 Bytes/s

After a test has completed, changing the I/O size selection allows the test results to be filtered. The scale of the graph changes as well based on the selected range. This can be useful if there is a wide range of values across all tested I/O sizes.


Command Line Arguments

ATTO Disk Benchmark supports multiple command line arguments:

-f {filename} :

Open the benchmark test file.

-g {filename} :

Log errors to the specified file. If a log file is not specified, a log will be created in the same directory as the test file with the same filename, but with the .log extension.

-h :

Display command line help.

-k :

Leave the test file on the drive after the test completes. The file will be overwritten if another test is started. By default, the test file is automatically deleted when the test completes.

-x :

Automatically run the specified test, save the results, and exit the program. This allows tests to be scripted. For example, to automatically run the test 'testfile.bmk', enter the following on the command line:

ATTODiskBenchmark -f testfile.bmk -x


Browse For Folder Dialog

Browse For Folder dialog box

Browse for a folder where the benchmark test file will be created.

Folder:

Displays the folder selected in the folder explorer above. It is also possible to enter the desired test folder directly including network shares.

Make New Folder

If you wish to create a new folder to run the test in, browse to the folder where you want to create the new folder and click the 'Make New Folder' button.


Export Image Dialog

File Export As dialog box

The following options allow you to specify the name and location of the image you're about to export:

File Name

Type a new filename to export an image with a different name. ATTO Disk Benchmark adds the extension you specify in the Save As Type box.

Save As Type

The only file type supported is JPEG.

Save In

Select the directory in which you want to store the image.


Export Image

Export command (File menu)

Use this command to create an image of the open document in JPEG format. ATTO Disk Benchmark displays the Export As dialog box so you can name your image.

Shortcuts

Keys: CTRL+E


File 1, 2, 3, 4 command

1, 2, 3, 4 command (File menu)

Use the numbers and filenames listed at the bottom of the File menu to open the last four documents you closed. Choose the number that corresponds with the document you want to open.


File New command

New command (File menu)

Use this command to create a new document in ATTO Disk Benchmark.

You can open an existing document with the Open command.

Shortcuts

Keys: CTRL+N


File Open command

Open command (File menu)

Use this command to open an existing document in the window. You can not open multiple documents at once.

You can create new documents with the New command.

Shortcuts

Keys: CTRL+O


File Save command

Save command (File menu)

Use this command to save the active document to its current name and directory. When you save a document for the first time, ATTO Disk Benchmark displays the Save As dialog box so you can name your document. If you want to change the name and directory of an existing document before you save it, choose the Save As command.

Shortcuts

Keys: CTRL+S


File Save As command

Save As command (File menu)

Use this command to save and name the active document. ATTO Disk Benchmark displays the Save As dialog box so you can name your document.

To save a document with its existing name and directory, use the Save command.


Scale Factor Command

Scale Factor command (File menu)

Use this command to display Scale Factor dialog box that allows you to change the scale factor of the test results graph.


Verify Data control

Verify Data (test option)

If this option is selected, data read from the test file will be compared against the data written on a per block basis. You can select the data pattern for comparison in the Test Pattern dropdown box. You can also run the test continuously by selecting Run Continuously. If any errors are detected, the Data Integrity Errors dialog box will open upon test completion to display the errors.


Run Continuously control

Run Continuously (test option)

If Data Integrity is selected, this option becomes visible to allow you to run the test continuously for a specified number of minutes. Testing will be stopped prior to the specified time if any errors are detected.


Description (control)

This box is provided so you can enter additional information about the test that can be saved.


Direct I/O control

Direct I/O (test option)

If this option is checked, file I/O on the test drive is performed with no system buffering or caching. Combine this option with high Queue depth for maximum asynchronous performance.


Drive control

Drive (test option)

Specifies the logical drive to perform the benchmark test on. A test can be performed on any system drive. A directory or network share not specified in the drop down list can be chosen by clicking the browse button (...) next to the drive list and using the Browse For Folder dialog box.


Bypass Write Cache control

Bypass Write Cache (test option)

If this option is checked, file writes to the test drive bypass drive write cache. Otherwise, drive write caching is determined by the drive settings.


Test Pattern control

Test Pattern (test option)

Specifies the 32-bit data pattern that is written to the data file during testing. This option is available only when Verify Data is selected.


Queue Depth control

Queue Depth (test option)

Specifies the number of concurrent I/Os sent to the test drive, i.e. the maximum number of read/write commands that can be executed at one time. This option is only available if Verify Data is not selected.


Start Button

Start button (control)

Click this button to perform the test with the specified options. While the test in running, this button changes to 'Cancel' and may be used to cancel the test.


File Size control

File Size (test option)

Specifies the total size of the data file that is created on the test drive. This file is deleted upon completion of testing.


I/O Size control

I/O Size (test option)

Specifies the range of I/O (block) sizes used for reading and writing data to the test file. Transfer speeds will be displayed for each size. If the first size is greater than the second size, the test will not be performed for any I/O sizes.


Data Integrity Errors

Data Integrity Errors Dialog

This dialog box displays data integrity errors detected during testing. These errors are displayed in a table with four columns:

I/O Size:

Indicates the I/O size at which the error occurred.

Buffer Index:

Indicates the index into the data block at which the error occurred.

Actual Value:

Indicates the value read from the file.

Expected Value:

Indicates the value written to the file.

The dialog box also contains two buttons:

OK:

Closes the dialog box.

Log to File:

Logs the error table to a (*.log) file and closes the dialog. The file is given the same name as the test file and saved in the same directory. If the test was not previously saved, errors are logged to the generic file DataError.log in the root of the test drive. If the log file already exists, the new errors are appended to the previously recorded errors.

This is the only way to save detected errors. They are not saved in the test file.


Scale Factor dialog box

Use this dialog to change the scale of the test results graph. Pressing OK in the dialog accepts the scale changes. If a scale was selected that is too small, the scale change is not accepted and another one must be chosen.

The scales in the dialog change based on whether the Bytes/s or IO/s view is selected. Changing the scale in one view does not change the scale in the other view.


ATTO Disk Benchmark Help Index

Commands

File menu

Help menu

Features

Controls

Test Results Display

Command Line Arguments